#pragma once

#include "Variablen.h"

class GameObject : public Variable
{
protected:
    float x, y, w, h;
    bool intersectable;

public:
    GameObject( VariableTyp typ, int x, int y, int width, int height );
    void setX( float x );
    void setY( float y );
    void setWidth( float width );
    void setHeight( float height );
    virtual bool intersectsWith( GameObject *zObj );
    float getX() const;
    float getY() const;
    float getWidth() const;
    float getHeight() const;
    bool isIntersectable() const;
    float abstandZu( GameObject *zObj );
};