#include "Leben.h"
#include "Spieler.h"

LebenEffect::LebenEffect( Spieler *zSpieler )
    : Effect( zSpieler, 10.f + ( 10.f / 100.f ) * zSpieler->getAbklingZeitVerringerung() )
{
    zSpieler->setLebensRegeneration( zSpieler->getLebensRegenneration() + 10 );
}

LebenEffect::~LebenEffect()
{
    zSpieler->setLebensRegeneration( zSpieler->getLebensRegenneration() - 10 );
}
