#include "Brand.h"
#include "Spieler.h"


BrandEffekt::BrandEffekt( Spieler *zVerursacher, Spieler *zOpfer )
    : Effect( zOpfer, B_DURATION )
{
    this->zVerursacher = zVerursacher;
    laufTempoDecrease = B_MOVEMENT_DECREASE <= zSpieler->getLaufTempo() ? B_MOVEMENT_DECREASE : zSpieler->getLaufTempo();
    zSpieler->setLaufTempo( zSpieler->getLaufTempo() - laufTempoDecrease );
}

BrandEffekt::~BrandEffekt()
{
    zSpieler->setLaufTempo( zSpieler->getLaufTempo() + laufTempoDecrease );
}

bool BrandEffekt::tick( double time, Spiel *zSpiel )
{
    float damage = B_MIN_DPS * (float)time;
    zSpieler->nimmSchaden( damage, zVerursacher, MITTE, zSpiel );
    return Effect::tick( time, zSpiel );
}