#pragma once

#include "Effect.h"
#include "Bariere.h"


class EnterhakenEffect : public Effect
{
private:
    float ehpx;
    float ehpy;
    int state;
    float maxTime;
    Richtung r;
    Bariere *target;

public:
    EnterhakenEffect( Spieler *zSpieler, Richtung r );
    ~EnterhakenEffect();
    bool istSpielerBeweglich( Richtung r ) const override;
    void move( Richtung r, double time ) override;
    bool tick( double time, Spiel *zSpiel ) override;
    bool istGegenstandErlaubt( GegenstandTyp typ ) const override;
    bool istSpielerVerwundbar( Richtung r ) const override;
};
